varying vec4 pos;
varying vec4 rawpos;
varying vec4 texCoord;

void main() {
	pos = gl_ModelViewMatrix * gl_Vertex;
	rawpos = gl_Vertex;

	texCoord = gl_MultiTexCoord0 * gl_TextureMatrix[0];

	gl_Position = ftransform();
}